package com.gic.haoban.manage.api.service;

import java.util.List;
import java.util.Set;

import com.gic.haoban.base.api.common.ServiceResponse;
import com.gic.haoban.manage.api.dto.StaffClerkInfoDTO;
import com.gic.haoban.manage.api.dto.StaffClerkRelationDTO;

public interface StaffClerkRelationApiService {

	List<StaffClerkRelationDTO> listBindCode(String enterpriseId, Set<String> clerkCodeList);

	List<StaffClerkRelationDTO> listBindCodeByStaffId(List<String> enterpriseIdList, String staffId);

	/**
	 * 根据staffid 获取列表
	 * @param staffId
	 * @return
	 */
	List<StaffClerkInfoDTO> listBindDetailByStaffId(String staffId);

	/**
	 * 绑定
	 * @return
	 */
	public ServiceResponse bindStaffClerk(StaffClerkRelationDTO staffClerkRelationDTO);
	
	StaffClerkRelationDTO getByCodeAndEnterpriseId(String clerkCode, String enterpriseId);

	String insert(StaffClerkRelationDTO staffClerkRelation);
	
	void insertOrUpdate(StaffClerkRelationDTO staffClerkRelation);

	
	void delAndInsert(StaffClerkRelationDTO staffClerkRelation);
	/**
	 * 解绑
	 * @param storeId
	 * @param clerkCode
	 * @return
	 */
	String delByStoreIdAndCode(String storeId,String clerkCode);


	StaffClerkRelationDTO getOneByClerkId(String clerkId);
	
	List<StaffClerkRelationDTO> listByClerkIds(List<String> clerkIds);

	/**
	 * 导购列表
	 * @param storeId
	 * @return
	 */
	List<StaffClerkRelationDTO>listByStoreId(String storeId);

	/**
	 * 解绑
	 * @param staffId
	 * @param clerkId
	 * @return
	 */
	boolean unbindByStaffAndClerkId(String staffId,String clerkId);
	
	/**
	 * 查询导购信息
	 * @param clerkId
	 * @return
	 */
	StaffClerkRelationDTO getOneByStoreIdAndStaffId(String storeId,String staffId);
	
	/**
	 * 查询导购信息
	 * @param clerkId
	 * @return
	 */
	StaffClerkRelationDTO getByClerkId(String clerkId);
	/**
	 * 
	 * @param enterpriseId
	 * @param wxUserId
	 * @return
	 */
	List<StaffClerkRelationDTO> listByEnterpriseIdAndWxUserId(String enterpriseId,String wxUserId);
	/**
	 * 删除关联关系
	 * @param clerkId
	 */
	void delByClerkId(String clerkId);

}
